<%@ Page Language="C#" AutoEventWireup="true"   %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<script runat="server">

    protected void Page_Load(object sender, EventArgs e)
    {

        string pre = "";
        System.Web.Caching.Cache _cache = HttpRuntime.Cache;
        IDictionaryEnumerator CacheEnum = _cache.GetEnumerator();
        ArrayList al = new ArrayList();
        while (CacheEnum.MoveNext())
        {
            al.Add(CacheEnum.Key);
        }
        foreach (string key in al)
        {
            if (pre == string.Empty)
            {
                _cache.Remove(key);
            }
            else
            {
                if (key.StartsWith(pre))
                {
                    _cache.Remove(key);
                }
            }
        }

     
    }
</script>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body style="font-size:12px; font-family:Verdana">
    <form id="form1" runat="server"> <br /><br /><br /> <br /><br />
    <div style="text-align:center">
    操作成功,系统成功清除了所有缓存。
    </div>
    </form>
</body>
</html>
